> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/hb-energy-primer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/hb-energy-primer/components/6_result/read_tabular_data.md).

# Read Tabular Data

![](/files/-Mihpg2UdrrEjRftqhb_)

![](/files/-Mihpg2WYe5xQOIu54tQ) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-energy/blob/master/honeybee_grasshopper_energy/src//HB%20Read%20Tabular%20Data.py)

Get all the data within a table of a Summary Report using the table name.

All of the avaialable tables can be browsed by opening the .html output from the simulation in a web browser.

## Inputs

* **sql \[Required]**

  The file path of the SQL result file that has been generated from an energy simulation.&#x20;
* **table\_name \[Required]**

  Text string for the name of a table of a Summary Report. Examples include: General, Utility Use Per Conditioned Floor Area, and many more options that can be browsed in the .html file.&#x20;

## Outputs

* **values**

  A data tree represening the table matrix, with each branch (sub-list) of the tree representing a row of the table and each index of each branch corresponding to a value in a column. The order of outputs should reflect how the table appears in the HTML output. Note that any energy values in MJ or GJ in the .html output will automatically be converted to kWh on import.&#x20;
* **col\_names**

  A list of text for the names of each of the columns in the table. These order of this list corresponds directly to the order of items each of the values sub-list&#x20;
* **row\_names**

  A list of text for the names of each of the rows of the table. Each name in this list corresponds to a branch in the output values data tree.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ladybug.tools/hb-energy-primer/components/6_result/read_tabular_data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
